From ce0ca61b9d141efa97f0ea153de7ba4d4f7349d3 Mon Sep 17 00:00:00 2001
From: Mark Hodgkinson <m.hodgkinson@sheffield.ac.uk>
Date: Fri, 19 Mar 2021 09:02:46 +0000
Subject: [PATCH] Update physics validation ART test

---
 .../test/test_mcLatest_13TeV_PhysValAll.sh    |  2 +-
 .../test_mcLatest_13TeV_PhysValExample.sh     |  2 +-
 .../test_mcLatest_13TeV_chainRecoPhysVal.sh   | 21 +++++++++++++++++++
 3 files changed, 23 insertions(+), 2 deletions(-)
 create mode 100755 Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_chainRecoPhysVal.sh

diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValAll.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValAll.sh
index 53937603459d..c7df0c0817c7 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValAll.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValAll.sh
@@ -7,7 +7,7 @@
 # art-include: master/Athena
 
 export TRF_ECHO=True;
-Reco_tf.py --inputAODFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mcLatest/mcLatest_13TeV_AOD.pool.root --outputNTUP_PHYSVALFile physval.root  --validationFlags 'doExample,doMET,doPFlow,doTau,doEgamma,doBtag,doZee,doJet,doTopoCluster,doMuon,doTrigMinBias,doTrigIDtrk,doTrigBphys,doTrigMET,doTrigJet,doTrigTau, doTrigEgamma,doTrigMuon,doTrigBjet,doTrigHLTResult'
+Reco_tf.py --inputAODFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc_CPSamples_Round1_2021/mc16_13TeV.410470.PhPy8EG_A14_ttbar_hdamp258p75_nonallhad.recon.AOD.e6337_e5984_s3170_r12399_r12253_r12399/AOD.24234434._000011.pool.root.1 --outputNTUP_PHYSVALFile physval.root  --validationFlags 'doExample,doMET,doPFlow,doTau,doEgamma,doBtag,doZee,doJet,doTopoCluster,doMuon,doTrigMinBias,doTrigIDtrk,doTrigBphys,doTrigMET,doTrigJet,doTrigTau, doTrigEgamma,doTrigMuon,doTrigBjet,doTrigHLTResult'
 RES=$?
 echo "art-result: $RES Reco"
 if [ $RES -ne 0 ];then
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValExample.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValExample.sh
index f86865001e68..77a05a1acfa9 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValExample.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_PhysValExample.sh
@@ -7,7 +7,7 @@
 # art-include: master/Athena
 
 export TRF_ECHO=True;
-Reco_tf.py --inputAODFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mcLatest/mcLatest_13TeV_AOD.pool.root --outputNTUP_PHYSVALFile physval.root  --validationFlags doExample
+Reco_tf.py --inputAODFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc_CPSamples_Round1_2021/mc16_13TeV.410470.PhPy8EG_A14_ttbar_hdamp258p75_nonallhad.recon.AOD.e6337_e5984_s3170_r12399_r12253_r12399/AOD.24234434._000011.pool.root.1 --outputNTUP_PHYSVALFile physval.root  --validationFlags doExample
 RES=$?
 echo "art-result: $RES Reco"
 if [ $RES -ne 0 ];then
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_chainRecoPhysVal.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_chainRecoPhysVal.sh
new file mode 100755
index 000000000000..0aed7791d97d
--- /dev/null
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mcLatest_13TeV_chainRecoPhysVal.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# art-description: Run reco with a latest (September 2020) MC setup with pileup, and then run phys val on the output AOD.
+# art-output: log.*
+# art-athena-mt: 4
+# art-type: grid
+# art-include: master/Athena
+
+export TRF_ECHO=True;
+Reco_tf.py --AMI=r11976 --outputRDOFile=myRDO.pool.root --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root --outputHISTFile=myHIST.root --inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV/valid1/valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.simul.HITS.e4993_s3227/HITS.12560240._000287.pool.root.1 --inputHighPtMinbiasHitsFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.361239.Pythia8EvtGen_A3NNPDF23LO_minbias_inelastic_high.merge.HITS.e4981_s3087_s3089/HITS.10501933._000008.pool.root.1 --inputLowPtMinbiasHitsFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.361238.Pythia8EvtGen_A3NNPDF23LO_minbias_inelastic_low.merge.HITS.e4981_s3087_s3089/HITS.10501925._000027.pool.root.1 --maxEvents=500 --jobNumber=1 --imf False --athenaopts "RDOtoRDOTrigger:--imf --threads=1 --concurrent-events=1"
+RES=$?
+echo "art-result: $RES Reco"
+if [ $RES -ne 0 ];then
+return $RES
+fi
+
+Reco_tf.py --inputAODFile=myAOD.pool.root --outputNTUP_PHYSVALFile physval.root  --validationFlags 'doExample,doMET,doPFlow,doTau,doEgamma,doBtag,doZee,doJet,doTopoCluster,doMuon,doTrigMinBias,doTrigIDtrk,doTrigBphys,doTrigMET,doTrigJet,doTrigTau, doTrigEgamma,doTrigMuon,doTrigBjet,doTrigHLTResult'
+RES=$?
+echo "art-result: $RES Reco"
+
+
-- 
GitLab